import React__default from 'react';
import { u as useTheme$1, E as defaultTheme } from './defaultTheme-49a26576.js';

function useTheme() {
  var theme = useTheme$1() || defaultTheme;

  if (process.env.NODE_ENV !== 'production') {
    // eslint-disable-next-line react-hooks/rules-of-hooks
    React__default.useDebugValue(theme);
  }

  return theme;
}

export { useTheme as u };
